diff --git a/pki/base/common/src/com/netscape/cms/logging/LogEntry.java b/pki/base/common/src/com/netscape/cms/logging/LogEntry.java
index 759b09379b62d23af4c1961e2f793508948f49cd..d91bd74061156be85d0b83631319c89806e8aeee 100644
--- a/pki/base/common/src/com/netscape/cms/logging/LogEntry.java
+++ b/pki/base/common/src/com/netscape/cms/logging/LogEntry.java
@@ -35,7 +35,7 @@ public class LogEntry {
     private String mDetail;
     private String mDate;
     private String mTime;
-    private Vector mRow;
+    private Vector<String> mRow;
 
     private final String DATE_PATTERN = "dd/MMM/yyyy:HH:mm:ss z";
 
@@ -54,7 +54,7 @@ public class LogEntry {
      * return a vector of the segments of the entry
      */
 
-    public Vector parse() throws ParseException {
+    public Vector<String> parse() throws ParseException {
         int x = mEntry.indexOf("[");
 
         if (x == -1)
@@ -86,7 +86,7 @@ public class LogEntry {
 
         mDetail = temp.substring(x + 2);
 
-        Vector row = new Vector();
+        Vector<String> row = new Vector<String>();
 
         row.addElement(mSource);
         row.addElement(mLevel);
@@ -119,7 +119,7 @@ public class LogEntry {
         return mTime;
     }
 
-    public Vector getRow() {
+    public Vector<String> getRow() {
         return mRow;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java b/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
index 2482d69af26e0866b73f81465e85111931de8395..21f7023d861cd5f94ae80a81313cfe2e51b2184d 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
@@ -45,7 +45,6 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.NameValuePairs;
-import com.netscape.certsrv.dbs.IDBRegistry;
 import com.netscape.certsrv.dbs.IDBSSession;
 import com.netscape.certsrv.dbs.IDBSearchResults;
 import com.netscape.certsrv.dbs.IDBSubsystem;
@@ -161,9 +160,6 @@ public class DefStore implements IDefStore, IExtendedPluginInfo {
         mIncludeNextUpdate = mConfig.getBoolean(PROP_INCLUDE_NEXT_UPDATE,
                     false);
 
-        // should move this into DBSubsystem ....
-        IDBRegistry reg = mDBService.getRegistry();
-
         // init web gateway.
         initWebGateway();
 
diff --git a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
index ac6534afd2db454a8dcd43ae2297e0cfbdf20dac..bca02f4a6047f5857769ec26d2c3bf66f3261f1c 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
@@ -696,10 +696,6 @@ class TempCRLIssuingPointRecord implements ICRLIssuingPointRecord {
         return null;
     }
 
-    public Vector getSplitTimes() {
-        return null;
-    }
-
     public int isCRLIssuingPointInitialized() {
         return 1;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/APolicyRule.java b/pki/base/common/src/com/netscape/cms/policy/APolicyRule.java
index 1c43d92d41cffed500c97bc65f5fd3d4e0956dca..0faf7591d838fa679a4df2f0c94f2d5473312f02 100644
--- a/pki/base/common/src/com/netscape/cms/policy/APolicyRule.java
+++ b/pki/base/common/src/com/netscape/cms/policy/APolicyRule.java
@@ -148,14 +148,14 @@ public abstract class APolicyRule implements IPolicyRule {
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public abstract Vector getInstanceParams();
+    public abstract Vector<String> getInstanceParams();
 
     /**
      * Return default parameters for a policy implementation.
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public abstract Vector getDefaultParams();
+    public abstract Vector<String> getDefaultParams();
 
     public void setError(IRequest req, String format, Object[] params) {
         setPolicyException(req, format, params);
@@ -178,9 +178,9 @@ public abstract class APolicyRule implements IPolicyRule {
     }
 
     public void setPolicyException(IRequest req, EBaseException ex) {
-        Vector ev = req.getExtDataInStringVector(IRequest.ERRORS);
+        Vector<String> ev = req.getExtDataInStringVector(IRequest.ERRORS);
         if (ev == null) {
-            ev = new Vector();
+            ev = new Vector<String>();
         }
         ev.addElement(ex.toString());
         req.setExtData(IRequest.ERRORS, ev);
@@ -235,9 +235,9 @@ public abstract class APolicyRule implements IPolicyRule {
         else
             ex = new EPolicyException(format, params);
 
-        Vector ev = req.getExtDataInStringVector(IRequest.ERRORS);
+        Vector<String> ev = req.getExtDataInStringVector(IRequest.ERRORS);
         if (ev == null) {
-            ev = new Vector();
+            ev = new Vector<String>();
         }
         ev.addElement(ex.toString());
         req.setExtData(IRequest.ERRORS, ev);
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java
index 9ad322085b409130ff4bfe77844ff1a4d6d0e822..387b702bf71b01c6b2ce7074dbfb25f394dfc4f7 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java
@@ -64,7 +64,7 @@ public class DSAKeyConstraints extends APolicyRule
     private final static String PROP_MIN_SIZE = "minSize";
     private final static String PROP_MAX_SIZE = "maxSize";
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     private IConfigStore mConfig = null;
 
@@ -193,9 +193,6 @@ public class DSAKeyConstraints extends APolicyRule
 
                 if (keyParams == null) {
                     // key parameters could not be parsed.
-                    Object[] params = new Object[] {
-                            getInstanceName(), String.valueOf(i + 1) };
-
                     setError(req,
                             CMS.getUserMessage("CMS_POLICY_NO_KEY_PARAMS", getInstanceName(), String.valueOf(i + 1)),
                             "");
@@ -232,8 +229,8 @@ public class DSAKeyConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         try {
             confParams.addElement(PROP_MIN_SIZE + "=" + mConfig.getInteger(PROP_MIN_SIZE, DEF_MIN_SIZE));
@@ -249,7 +246,7 @@ public class DSAKeyConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/DefaultRevocation.java b/pki/base/common/src/com/netscape/cms/policy/constraints/DefaultRevocation.java
index f341dd224df52ac13d7cc32588d667e323cfcfad..2af14547522a4c515614c835cb52efab7a703b52 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/DefaultRevocation.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/DefaultRevocation.java
@@ -81,7 +81,7 @@ public class DefaultRevocation extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return null;
     }
 
@@ -90,7 +90,7 @@ public class DefaultRevocation extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return null;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/IssuerConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/IssuerConstraints.java
index b0e27501e4d576aa5e2a5620edd19627b0315d2b..a08bde78c8449c4e386dfee7682eb50409291fe5 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/IssuerConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/IssuerConstraints.java
@@ -193,8 +193,8 @@ public class IssuerConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(PROP_ISSUER_DN + "=" +
                 mIssuerDNString);
@@ -206,8 +206,8 @@ public class IssuerConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_ISSUER_DN + "=");
         return defParams;
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
index 9bb806ebaa8f0f0e8737f9c9c13a20c24886770c..3779b16e39f9a8bb755426098d2ab4e773273686 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
@@ -58,7 +58,7 @@ public class KeyAlgorithmConstraints extends APolicyRule
     private final static String[] supportedAlgorithms =
         { "RSA", "DSA", "DH" };
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     static {
         defConfParams.addElement(PROP_ALGORITHMS + "=" +
@@ -219,7 +219,7 @@ public class KeyAlgorithmConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/ManualAuthentication.java b/pki/base/common/src/com/netscape/cms/policy/constraints/ManualAuthentication.java
index b93487609d2d3baa133aa173e0206f4802a533a1..3af9e636f4003dde1031aa0287b7dcbedb4874b3 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/ManualAuthentication.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/ManualAuthentication.java
@@ -86,7 +86,7 @@ public class ManualAuthentication extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return null;
     }
 
@@ -95,7 +95,7 @@ public class ManualAuthentication extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return null;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalConstraints.java
index 185bceed9b1f7185aa319043e341c1b04632944b..f3e5efc9b12d506799c259f53d0f144b228eeb07 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalConstraints.java
@@ -62,7 +62,7 @@ public class RenewalConstraints extends APolicyRule
     public final static int DEF_RENEWAL_NOT_AFTER = 30;
     public final static long DAYS_TO_MS_FACTOR = 24L * 3600 * 1000;
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
     static {
         defConfParams.addElement(PROP_ALLOW_EXPIRED_CERTS + "=" + true);
         defConfParams.addElement(PROP_RENEWAL_NOT_AFTER + "=" +
@@ -221,8 +221,8 @@ public class RenewalConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(
                 PROP_ALLOW_EXPIRED_CERTS + "=" + mAllowExpiredCerts);
@@ -236,7 +236,7 @@ public class RenewalConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
index 023605db40d25407240f2558939627be2d89628c..0265ff855645a4e6eab9337a399b767ee7d0020d 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
@@ -74,7 +74,7 @@ public class RenewalValidityConstraints extends APolicyRule
     public static final String CERT_HEADER = "-----BEGIN CERTIFICATE-----\n";
     public static final String CERT_TRAILER = "-----END CERTIFICATE-----\n";
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     static {
         defConfParams.addElement(PROP_MIN_VALIDITY + "=" +
@@ -281,8 +281,8 @@ public class RenewalValidityConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(PROP_MIN_VALIDITY + "=" +
                 mMinValidity / DAYS_TO_MS_FACTOR);
@@ -298,7 +298,7 @@ public class RenewalValidityConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/RevocationConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/RevocationConstraints.java
index d4859195d5bb31561d28209928cbaf71f8c8cd6a..513e199c4acc249dd890adb61219dac5a1f4ccab 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/RevocationConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/RevocationConstraints.java
@@ -57,7 +57,7 @@ public class RevocationConstraints extends APolicyRule
     private boolean mAllowExpiredCerts = true;
     private boolean mAllowOnHold = true;
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
     static {
         defConfParams.addElement(PROP_ALLOW_EXPIRED_CERTS + "=" + true);
         defConfParams.addElement(PROP_ALLOW_ON_HOLD + "=" + true);
@@ -194,8 +194,8 @@ public class RevocationConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(
                 PROP_ALLOW_EXPIRED_CERTS + "=" + mAllowExpiredCerts);
@@ -209,7 +209,7 @@ public class RevocationConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
index 8c2ba0796753ef44bc1e8c299b20bc0ffac5027e..8b504eb50d2df4863b94ef52d42694c341e419cb 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
@@ -62,7 +62,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
     IAuthority mAuthority = null;
     private final static String PROP_ALGORITHMS = "algorithms";
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     static {
         StringBuffer sb = new StringBuffer();
@@ -120,7 +120,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
             if (algNames != null) {
                 // parse alg names into Vector
                 StringTokenizer tok = new StringTokenizer(algNames, ",");
-                Vector algs = new Vector();
+                Vector<String> algs = new Vector<String>();
 
                 while (tok.hasMoreTokens()) {
                     algs.addElement(tok.nextToken().trim());
@@ -211,7 +211,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
         int i, j, goodSize;
 
         // validate the currently-allowed algorithms
-        Vector goodAlgs = new Vector();
+        Vector<String> goodAlgs = new Vector<String>();
 
         for (i = 0; i < mAllowedAlgs.length; i++) {
             for (j = 0; j < allowed.length; j++) {
@@ -324,8 +324,8 @@ public class SigningAlgorithmConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
         StringBuffer sb = new StringBuffer();
 
         for (int i = 0; i < mConfigAlgs.length; i++) {
@@ -343,7 +343,7 @@ public class SigningAlgorithmConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         StringBuffer sb = new StringBuffer();
         sb.append(PROP_ALGORITHMS);
         sb.append("=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java
index 2b13c14af5e997d5ca9f864ecdf10649d2ef63b4..da63f6f2438f25c24d77bd455c5db7cded9718bf 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java
@@ -176,8 +176,8 @@ public class SubCANameConstraints extends APolicyRule implements IEnrollmentPoli
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         return v;
     }
@@ -187,8 +187,8 @@ public class SubCANameConstraints extends APolicyRule implements IEnrollmentPoli
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         return v;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/ValidityConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/ValidityConstraints.java
index 1ebf9a0b8d7f14c5cb6b5f9cee5748da94cd8491..0409f3c3319a61444dd0ea3997ae32b0e2d67614 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/ValidityConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/ValidityConstraints.java
@@ -73,7 +73,7 @@ public class ValidityConstraints extends APolicyRule
     public final static long DAYS_TO_MS_FACTOR = 24L * 3600 * 1000;
     public final static long MINS_TO_MS_FACTOR = 60L * 1000;
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     static {
         defConfParams.addElement(PROP_MIN_VALIDITY + "=" +
@@ -260,8 +260,8 @@ public class ValidityConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(PROP_MIN_VALIDITY + "=" +
                 mMinValidity / DAYS_TO_MS_FACTOR);
@@ -281,7 +281,7 @@ public class ValidityConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
index 1d22d48ecb72b6fc1aba893c4b5829712ed6cbba..f830b7e3d59026565c819bf050bdbafaf04dc316 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
@@ -210,7 +210,6 @@ public class BasicConstraintsExt extends APolicyRule
      * @return The policy result object.
      */
     public PolicyResult apply(IRequest req) {
-        PolicyResult res = PolicyResult.ACCEPTED;
 
         // get cert info.
         X509CertInfo[] ci =
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
index 7ea2d6fb86988b7461485a8017e406679a5493ba..59735731858f90b009fedee8309e03be29500f1f 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
@@ -413,11 +413,9 @@ class CertPolicy {
                         mNameDot + PROP_NOTICE_REF_ORG, msg));
 
         // if a policy id is not null check that it is a valid OID.
-        ObjectIdentifier policyId = null;
 
         if (mPolicyId != null)
-            policyId = CMS.checkOID(
-                        mNameDot + PROP_POLICY_IDENTIFIER, mPolicyId);
+            CMS.checkOID(mNameDot + PROP_POLICY_IDENTIFIER, mPolicyId);
 
         // if enabled, form CertificatePolicyInfo to be encoded in
         // extension. Policy ids should be all set.
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
index 037206b89e3b6e84ab0151effc33b222fe80f2b4..6594cc4a2b0329816b427e7ecfdb2928c415fdc7 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
@@ -159,7 +159,6 @@ public class KeyUsageExt extends APolicyRule
      * @return The policy result object.
      */
     public PolicyResult apply(IRequest req) {
-        PolicyResult res = PolicyResult.ACCEPTED;
 
         X509CertInfo[] ci =
                 req.getExtDataInCertInfoArray(IRequest.CERT_INFO);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
index 2d521e8d578a8eb47860d826388dc69f759f0ca6..2fb09b2b762f9598397da54640add2dc976eddda 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
@@ -159,7 +159,6 @@ public class NSCertTypeExt extends APolicyRule
      */
     public PolicyResult apply(IRequest req) {
         CMS.debug("NSCertTypeExt: Impl: " + NAME + ", Instance: " + getInstanceName() + "::apply()");
-        PolicyResult res = PolicyResult.ACCEPTED;
 
         X509CertInfo[] ci =
                 req.getExtDataInCertInfoArray(IRequest.CERT_INFO);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
index fe2565428a170c5a1b9505f87a66b4ea8cfb8b09..3b80246a9c6f34cff2e85eb7739c56632b6793c3 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -156,7 +156,6 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
      * @return The policy result object.
      */
     public PolicyResult apply(IRequest req) {
-        PolicyResult res = PolicyResult.ACCEPTED;
 
         // get cert info.
         X509CertInfo[] ci =
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
index 0af977a2430cda8e72d8bbfeabb85b86b94131b0..2a5af4240e476822f0078cc5c0b29eff7cd69765 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
@@ -61,7 +61,6 @@ public class RemoveBasicConstraintsExt extends APolicyRule
     }
 
     public PolicyResult apply(IRequest req) {
-        PolicyResult res = PolicyResult.ACCEPTED;
 
         // get cert info.
         X509CertInfo[] ci =
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index b4ebb4b4530032c54a7f339041c78587ccba5d89..6b4e7ead9ff3e6910931602b6e9ed932dabb8ccd 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -123,7 +123,6 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
     }
 
     public PolicyResult apply(IRequest req) {
-        PolicyResult res = PolicyResult.ACCEPTED;
         X509CertInfo[] ci =
                 req.getExtDataInCertInfoArray(IRequest.CERT_INFO);
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
index 7f624cb8b71d193f970745581996a5930f11fa1d..696d0cd136ac87a9909582c4885dc1c6357a5809 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
@@ -550,12 +550,6 @@ public abstract class BasicProfile implements IProfile {
 
     throws EProfileException {
         IConfigStore outputStore = mConfig.getSubStore("output");
-        String output_list = null;
-
-        try {
-            output_list = outputStore.getString(PROP_OUTPUT_LIST, "");
-        } catch (Exception ee) {
-        }
 
         IPluginInfo outputInfo = mRegistry.getPluginInfo("profileOutput",
                 outputId);
@@ -650,13 +644,6 @@ public abstract class BasicProfile implements IProfile {
             throws EProfileException {
         IConfigStore inputStore = mConfig.getSubStore("input");
 
-        String input_list = null;
-
-        try {
-            input_list = inputStore.getString(PROP_INPUT_LIST, "");
-        } catch (Exception ee) {
-        }
-
         IPluginInfo inputInfo = mRegistry.getPluginInfo("profileInput",
                 inputId);
 
@@ -856,14 +843,6 @@ public abstract class BasicProfile implements IProfile {
                     CMS.debug("WARNING, can't get default plugin id!");
                 }
 
-                String constraintRoot = curId + "." + PROP_CONSTRAINT;
-                String curConstraintClassId = null;
-                try {
-                    curConstraintClassId = pStore.getString(constraintRoot + "." + PROP_CLASS_ID);
-                } catch (Exception e) {
-                    CMS.debug("WARNING, can't get constraint plugin id!");
-                }
-
                 //Disallow duplicate defaults  with the following exceptions:
                 // noDefaultImpl, genericExtDefaultImpl
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
index 3ad301b266113c827544ce1ef959b4ee59d2fa09..b95b2233955e1ab455d063f727b6b753a5883613 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
@@ -49,8 +49,7 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         createProfileOutput("o1", "certOutputImpl", outputParams1);
 
         // create policies
-        IProfilePolicy policy1 =
-                createProfilePolicy("set1", "p1",
+        createProfilePolicy("set1", "p1",
                         "userSubjectNameDefaultImpl", "noConstraintImpl");
 
         IProfilePolicy policy2 =
